package shinh.bogoyaml.test;

import java.util.*;
import java.io.*;

import junit.framework.*;

import shinh.bogoyaml.*;

public class TestBogoYaml extends TestCase {
    static final String YML_FILE1 = "shinh/bogoyaml/test/test.yml";
    static final String YML_FILE2 = "shinh/bogoyaml/test/test.dump.yml";

    public TestBogoYaml(String name) {
        super(name);
    }

    public void testLoad() throws IOException, YamlException {
        Map h = (Map)BogoYaml.load(YML_FILE1);

        assertNotNull(h);

        assertEquals("dameda", ((String)h.get("huga a")));
        assertEquals("auu", ((String)((List)h.get("hoge")).get(0)));
        assertEquals("hugaaa\n", ((String)((Map)((List)h.get("hoge")).get(2)).get("ugaa")));
    }

    public void testDump() throws IOException, YamlException {
        Map h = (Map)BogoYaml.load(YML_FILE1);

        BogoYaml.dump(h, YML_FILE2);

        h = (Map)BogoYaml.load(YML_FILE2);

        assertEquals("dameda", ((String)h.get("huga a")));
        assertEquals("auu", ((String)((List)h.get("hoge")).get(0)));
        assertEquals("hugaaa\n", ((String)((Map)((List)h.get("hoge")).get(2)).get("ugaa")));
    }
}
